version: '3.8'
services:
  hotell777_260507:
    build: .
    image: kalugin66/hotell777_260507
    container_name: hotell777_260507
#    ports:
#      - "3000:3000"
    networks:
      - applications
    restart: always
    volumes:
      - /docker/hotell777_260507/data:/app/data:rw
    environment:
      - TZ=Asia/Yekaterinburg
      - HOTEL777KEY="secretkey"
      - hotelName="Hotel 777"
      - hotelAddress="Абхазтя золотой берег"
      - hotelPhone="+79400000000"
    healthcheck:
      test: ["CMD", "wget", "--spider", "http://localhost:3000"]
      interval: 30s
      timeout: 5s
      retries: 3
networks:
  applications:
    external: true
# docker network create applications
# docker compose up -d
# docker compose up -d --build
# docker compose build --no-cache && docker compose up -d
